﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LicenseAndSettings.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LicenseAndSettings, Mogul.SeoManager" MasterPageFile="" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>
    <div class="clearfix" id="content-container">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <ul id="tabs" class="clearfix">
           <li class="selected"><a href="#/tableview" title="<%= ViewModel.SettingsTabText %>"><%= ViewModel.SettingsTabText %></a></li>
           <li><a href="#/expview" title="<%= ViewModel.ExpTabText %>"><%= ViewModel.ExpTabText %></a></li>
           <li><a href="#/delview" title="<%= ViewModel.DeleteText %>"><%= ViewModel.DeleteText %></a></li>
        </ul>
        <div id="content" class="bord">
            <section id="tableview">
                <h2><%= ViewModel.SettingsHeading %></h2>
                <asp:Label runat="server" ID="SaveResultLabel" CssClass="successMessage" />
                <div id="tblSettingsView">
                    <h3><%= ViewModel.UseAlternateLanguageUrls%></h3><h4><%= ViewModel.UseAlternateLanguageUrlsValue%></h4>
                    <h3><%= ViewModel.FileNotFound%></h3><h4><%= ViewModel.FileNotFoundValue%></h4>
                    <h3><%= ViewModel.FileGone%></h3><h4><%= ViewModel.FileGoneValue%></h4>
                    <h3><%= ViewModel.RegExUrlPatternCacheTimeout%></h3><h4><%= ViewModel.RegExUrlPatternCacheTimeoutValue%></h4>
                    <h3><%= ViewModel.IgnoredUrls%></h3><h4><asp:Repeater ID="rptIgnoredUrls" runat="server">
                            <ItemTemplate><%# Container.DataItem.ToString() %><br /></ItemTemplate>
                        </asp:Repeater></h4>
                    <h3><%= ViewModel.IgnoredPatterns%></h3><h4><asp:Repeater ID="rptIgnoredPatterns" runat="server">
                        <ItemTemplate><%# Container.DataItem.ToString() %><br /></ItemTemplate>
                    </asp:Repeater></h4>
                    <h3><%= ViewModel.InvalidCharsRegexPattern%></h3><h4><%= ViewModel.InvalidCharsRegexPatternValue%></h4>
                    <h3><%= ViewModel.InvalidCharsToRemoveRegexPattern%></h3><h4><%= ViewModel.InvalidCharsToRemoveRegexPatternValue%></h4>
                    <h3><%= ViewModel.ReplacementChar%></h3><h4><%= ViewModel.ReplacementCharValue%></h4>
                    <h3><%= ViewModel.UseEPiServerDefaultUrlFormatLabel %></h3><h4><%= ViewModel.UseEPiServerDefaultUrlFormat%></h4>
                    <h3><%= ViewModel.EnableCanonicalLinkInMVCLabel %></h3><h4><%= ViewModel.EnableCanonicalLinkInMVC %></h4>
                    <h3><%= ViewModel.AllowOverridingLabel %></h3><h4><%= ViewModel.AllowOverriding %></h4><br />
                    <h4><i><%= ViewModel.RequiresRestart %></i></h4>
        		    <div class="filter">
                        <a href="#" class="button" id="edit-settings"><%= ViewModel.EditSettings%></a>
				    </div>
                </div>
                <div id="tblSettingsEdit" class="hidden">                    
                    <table cellpadding="0" cellspacing="0" class="tblSettings">
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseAlternateLanguageUrls%></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="useAlternateLangUrlsRadioButtonList" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileNotFound%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileNotFoundTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileNotFoundTextBox" ID="fileNotFoundReqVal" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileGone%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileGoneTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileGoneTextBox" ID="fileGoneReqVal"  ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.RegExUrlPatternCacheTimeout %></td>
                            <td>
                                <asp:TextBox runat="server" ID="regExUrlPatternCacheTimeoutTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="regExUrlPatternCacheTimeoutTextBox" ID="regExUrlPatternCacheTimeoutReqVal" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.IgnoredUrls%></td>
                            <td class="tdRight">
                                <table>
                                    <tr>
                                        <td><input name="AddIgnoredUrlsTextBox" type="text" value="" class="episize240" /></td>
                                        <td><asp:LinkButton runat="server" ID="AddIgnoredUrlLinkButton" OnClick="AddIgnoredLinkButton_OnClick" CssClass="aX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredUrls" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td><input type="text" name="IgnoredUrls<%# Container.ItemIndex%>" value="<%# Container.DataItem %>" class="episize240"/></td>
                                                <td><asp:LinkButton CssClass="dX" Text="." OnCommand="DeleteIgnoredUrls" CommandArgument="<%# Container.ItemIndex %>" ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.IgnoredPatterns%></td>
                            <td class="tdRight">
                                <table>
                                    <tr>
                                        <td><input name="AddIgnoredPatternNameTextBox" type="text" value="" class="episize240"/></td>
                                        <td><input name="AddIgnoredPatternValueTextBox" type="text" value="" class="episize240 mrg"/></td>
                                        <td><asp:LinkButton runat="server" ID="AddIgnoredPatternLinkButton" OnClick="AddIgnoredPatternLinkButton_OnClick"  CssClass="aX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredPatterns" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td><input type="text" name="IgnoredPatternName<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Key %>" class="episize240"/></td>
                                                <td><input type="text" name="IgnoredPatternValue<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Value %>" class="episize240 mrg"/></td>
                                                <td><asp:LinkButton CssClass="dX" Text="." OnCommand="DeleteIgnoredPatterns" CommandArgument="<%# Container.ItemIndex %>" ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>               
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsRegexPattern" ID="rfvInvalidCharsRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsToRemoveRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsToRemoveRegexPattern" ID="rfvInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseEPiServerDefaultUrlFormatLabel%></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblUseDefaultUrlFormat" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.EnableCanonicalLinkInMVCLabel %></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblEnableCanonicalLinkInMVC" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.AllowOverridingLabel %></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblAllowOverriding" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td colspan="2"><i><%= ViewModel.RequiresRestart %></i></td>
                        </tr>
                    </table>
                    <div class="filter"><asp:LinkButton runat="server" ID="SaveSettings" CssClass="button" OnClick="SaveSettings_OnClick" CausesValidation="True" ValidationGroup="Save" /></div>
                </div>
            </section>
            <section id="expview">
	           <div class="filter">
                    <h2><%= ViewModel.ExportHeading %></h2>
                    <h5><%= ViewModel.ExportDesc %></h5>
			        <asp:LinkButton runat="server" ID="btnExport" CssClass="button" OnClick="btnExport_OnClick" /><hr />
	           </div>
	           <div class="filter">
                    <h2><%= ViewModel.ImportHeading %></h2>
                    <h5><%= ViewModel.ImportDesc %><br/><%= ViewModel.UseIt %></h5>
                    <asp:FileUpload ID="fileUpload" runat="server" /><br/>
                    <asp:LinkButton runat="server" ID="btnImport" CssClass="button" OnClick="btnImport_OnClick" OnClientClick="$('img.ajax').css('visibility','visible');return true;" /><br /><br />
                    <asp:Label ID="lblMessage" runat="server" /><br/><img class="ajax" src="img/ajax-loader2.gif">
	           </div>
            </section>
            <section id="delview">
                <h2><%= ViewModel.DeleteText %></h2>
                <p><%= ViewModel.DelMessage %><br/><%= ViewModel.DeleteIt %></p>
                <asp:LinkButton ID="lbDel" CssClass="button" runat="server" OnClick="DeleteSiteUrls" /><br />
                <asp:Label runat="server" ID="UserMessage" CssClass="successMessage"/>
            </section>
        </div>
    </div>
    <footer></footer>
</asp:Content>